---
updatedAt: 2026-05-06T14:42:15.000Z
agentTools:
  projectIndex: https://docs.crezco.com/llms.txt
---

# Delete Organisation Bank Account

Deletes the bank account.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Payables API",
    "description": "Crezco Partner API",
    "termsOfService": "https://www.crezco.com/terms",
    "contact": {
      "name": "Crezco Support",
      "url": "https://crezco.atlassian.net/servicedesk/customer/portals"
    },
    "version": "2025-01-31"
  },
  "servers": [
    {
      "url": "https://api.partners.uat.crezco.com",
      "description": "UAT server for acceptance testing. Live and sandbox banks."
    },
    {
      "url": "https://api.partners.crezco.com",
      "description": "Live server when your application is in Production. Live banks only."
    }
  ],
  "paths": {
    "/organisations/{organisationId}/bank-accounts/{bankAccountId}": {
      "delete": {
        "tags": [
          "Organisations"
        ],
        "summary": "Delete Organisation Bank Account",
        "description": "Deletes the bank account.",
        "parameters": [
          {
            "name": "organisationId",
            "in": "path",
            "description": "The unique Crezco ID for an organisation",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "8d789121-7167-4c4f-b002-ffe309abefee"
          },
          {
            "name": "bankAccountId",
            "in": "path",
            "description": "The bankAccountId to disconnect and remove",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "Crezco-Version",
            "in": "header",
            "description": "The requested API version",
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "2025-01-31"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "401": {
            "description": "You do not have access. Check your API key is correct.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "You do not have access to this organisation.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "406": {
            "description": "The version of the API that you requested is not available. Check your Crezco-Version header.\nIf you omit this header you will use the latest version of the API.            ",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "429": {
            "description": "You have made too many requests to the API in too short a period. Wait a while and try again.      ",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "HttpValidationProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          },
          "errors": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": {}
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "Your API key for accessing the service. \n * Live keys start with `CZ01`\n * UAT keys start `CZSB01` \n\nYou should include the key in the `Authorization` header as a Bearer token like: \n\n`Authorization: Bearer CZSB01YOURKEY`\n\nYou can learn how to get your API key from the \n[Onboarding](https://crezco.readme.io/reference/managing-your-account#onboarding)\ndocumentation.",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```